package com.ss.android.ugc.aweme.friends.service;

import X.1hK;
import X.AnonymousClass2OX;
import X.AnonymousClass3OP;
import X.Cwu;
import X.EzM;
import android.app.Activity;
import com.bytedance.covode.number.Covode;

public interface ISocialFriendsService {
    public static final AnonymousClass3OP LIZ = AnonymousClass3OP.LIZ;

    static {
        Covode.recordClassIndex(81305);
    }

    Cwu<Boolean, Long> LIZ(int i);

    void LIZ(1hK r1, AnonymousClass2OX r2, EzM ezM);

    void LIZ(1hK r1, EzM ezM);

    void LIZ(Activity activity, boolean z, EzM ezM);

    Cwu<Boolean, Long> LIZIZ(int i);
}
